tex-fmt(1)

NAME
tex-fmt - LaTeX formatter written in Rust

SYNOPSIS
tex-fmt [-c|--check] [-p|--print] [-f|--fail-on-change] [-n|--nowrap] [-l|--wraplen] [-t|--tabsize] [--usetabs] [-s|--stdin] [--config] [--noconfig] [-v|--verbose] [-q|--quiet] [--trace] [--completion] [--man] [--args] [-r|--recursive] [-h|--help] [-V|--version] [files]

DESCRIPTION
LaTeX formatter written in Rust

OPTIONS

-c, --check
    Check formatting, do not modify files

-p, --print
    Print to stdout, do not modify files

-f, --fail-on-change
    Format files and return non-zero exit code if files are modified

-n, --nowrap
    Do not wrap long lines

-l, --wraplen <N>
    Line length for wrapping [default: 80]

-t, --tabsize <N>
    Number of characters to use as tab size [default: 2]

--usetabs
    Use tabs instead of spaces for indentation

-s, --stdin
    Process stdin as a single file, output to stdout

--config <PATH>
    Path to config file

--noconfig
    Do not read any config file

-v, --verbose
    Show info messages

-q, --quiet
    Hide warning messages

--trace
    Show trace messages

--completion <SHELL>
    Generate shell completion script
    [possible values: bash, elvish, fish, powershell, zsh]

--man
    Generate man page

--args
    Print arguments passed to tex-fmt and exit

-r, --recursive
    Recursively search for files to format

-h, --help
    Print help

-V, --version
    Print version

[files]
    List of files to be formatted

VERSION
v0.5.6

AUTHORS
William George Underwood, wg.underwood13@gmail.com